#include "square.hpp"

std::string Square::to_string() const {
	return {static_cast<char>(col + 97), static_cast<char>(row + 49)};
}

Square::Square(int row, int col) : row(row), col(col){}

Square::Square(const std::string &str)
{
	col = static_cast<int>(str[0]) - 97;
	row = (static_cast<int>(str[1]) - 49);
}
